Subject: [AVT] RE: Last Call: draft-hunt-avt-rtcpxnq (BT's eXtended Network Quality RTP Control Protocol Extended Reports (RTCP XR XNQ)) to Informational RFC

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 7 Aug 2007 17:12:17 +0200

1.

  'This document has
   been produced to describe the report block in sufficient detail to
   register the block type with IANA, rather than with the intention of
   standardising the report block for use outside BT's network.' 

Is this a recommendation not to use this report block outside a private
network? Is the scope of the document limited to providing a
specification in order to fill in the Specification Required policy for
requesting an RTCP XR block type as per 3611 - if this is the case it
should be made clear. 

2. 

  'The metric vrange is the difference between the shortest and longest
   network packet delays seen over the duration of the connection to
   date.  The metric vrange is a positive quantity or (unusually) zero.

   The metric vmaxdiff is found as follows.  For each RTCP measurement
   cycle, find the difference between the shortest and longest network
   packet delays within that measurement cycle.  These differences are
   all positive quantities or (unusually) zero.  Take the set of these
   differences and find the maximum, which is vmaxdiff.  The metric
   vmaxdiff is also a positive quantity or (unusually) zero.' 

In order for the metrics to be expressed as positive numbers, should not
the differences be defined as between the longest and the shortest
network packet delays, and not the other way? 

3.  IANA considerations - I think that the Internet Draft should ask
IANA to allocate the first free Block Type number and recommend that
this number be 8, but cannot guarantee that 8 was not allocated until
the time the RFC is approved. 

Dan

> -----Original Message-----
> From: The IESG [mailto:[email-masked]] 
> Sent: Tuesday, July 10, 2007 8:45 PM
> To: IETF-Announce
> Subject: Last Call: draft-hunt-avt-rtcpxnq (BT's eXtended 
> Network Quality RTP Control Protocol Extended Reports (RTCP 
> XR XNQ)) to Informational RFC 
> 
> The IESG has received a request from an individual submitter 
> to consider the following document:
> 
> - 'BT's eXtended Network Quality RTP Control Protocol 
> Extended Reports 
>    (RTCP XR XNQ) '
>    <draft-hunt-avt-rtcpxnq-00.txt> as an Informational RFC
> 
> The IESG plans to make a decision in the next few weeks, and 
> solicits final comments on this action.  Please send 
> substantive comments to the [email-masked] mailing lists by 
> 2007-08-07. Exceptionally, comments may be sent to 
> [email-masked] instead. In either case, please retain the 
> beginning of the Subject line to allow automated sorting.
> 
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-hunt-avt-rtcpxnq-00.txt
> 
> 
> IESG discussion can be tracked via
> https://datatracker.ietf.org/public/pidtracker.cgi?command=vie
> w_id&dTag=15988&rfc_flag=0
> 
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf-announce
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt